<template>
  <section class="solution">
    <div class="solution-bg">
      <span class="solution-title text-white text-uppercase">A solution for everyone</span>
    </div>
    <div class="solution-card">
      <div class="wrapper d-flex solution-slider justify-content-between">
        <div class="card c-1">
          <div class="solution-card-slider">
            <img
                src="@/assets/images/stories/solution/solution-card-1.jpeg"
                class="solution-card-img"
                alt="Solution img-1"
            />
            <div class="solution-slider-desc d-inline-block text-white">
              <div class="text-uppercase solution-card-title">Biking</div>
              <span>From downhill to endurance trough trailing find the oerfect fitment for your needs</span>
            </div>

          </div>
        </div>
        <div class="card c-2">
          <div class="solution-card-slider">
            <img
                src="@/assets/images/stories/solution/solution-card-2.jpeg"
                class="solution-card-img"
                alt="Solution img-2"
            />
            <div class="solution-slider-desc d-inline-block text-white">
              <div class="text-uppercase solution-card-title">Skiing</div>
              <span>From alpine ski to freeriding here a selection of our products made for every condition</span>
            </div>
          </div>
        </div>
        <div class="card c-3">
          <div class="solution-card-slider">
            <img
                src="@/assets/images/stories/solution/solution-card-3.jpeg"
                class="solution-card-img"
                alt="Solution img-3"
            />
            <div class="solution-slider-desc d-inline-block text-white">
              <div class="text-uppercase solution-card-title">Sports</div>
              <span
              >Running, climbing or everithing that makes you move and where you need eye protection</span
              >
            </div>
          </div>
        </div>
        <div class="card c-4">
          <div class="solution-card-slider">
            <img
                src="@/assets/images/stories/solution/solution-card-4.jpeg"
                class="solution-card-img"
                alt="Solution img-4"
            />
            <div class="solution-slider-desc d-inline-block text-white">
              <div class="text-uppercase solution-card-title">Summer</div>
              <span
              >From Austria to the caribben cause sometimes you just want to get lazy</span
              >
            </div>

          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "SectionSolution"
}
</script>

<style scoped>
.solution {
  position: relative;
}

.solution-bg {
  overflow: hidden;
  position: relative;
  background-image: url(@/assets/images/stories/solution/solution.jpeg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top;
  width: 100vw;
  height: 600px;
  top: -104px;
  left: 0;
}

.solution-title {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: 14.5rem;
  font-size: 60px;
  line-height: 100%;
  letter-spacing: 0.2em;
}

.solution-card {
  margin-top: -105px;
  padding: 40px 68px 56px;
  background: #000;
}

.solution-card-img {
  width: 310px;
  height: 380px;
  border-radius: 6px;
}

.solution-card-img, .solution-slider-desc {
  transition: all 0.3s ease-in-out;
}


.card:hover .solution-card-img {
  scale: 1.1;
}

.card:hover .solution-slider-desc {
  padding-bottom: 10px;
}

.solution-card-slider::before {
  content: '';
  position: absolute;
  z-index: 1;
  border-radius: 6px;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 44.68%, rgba(0, 0, 0, 0.4) 100%);
}

.solution-slider-desc {
  position: absolute;
  z-index: 1;
  text-align: center;
  bottom: 40px;
  left: 50%;
  transform: translateX(-50%);
  width: 260px;
  font-size: 16px;
  line-height: 21px;
  letter-spacing: 0.04em;
}


.solution-card-title {
  font-size: 20px;
  line-height: 26px;
  letter-spacing: 0.2em;
  padding-bottom: 24px;
}

.card {
  overflow: hidden;
  border-radius: 0.38rem;
  border: none;
  cursor: pointer;
}

</style>